# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl EntityReplacer.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 19;
BEGIN { use_ok('EntityReplacer') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.
ok(EntityReplacer::toReplacement('&#88;')   eq "X",        "Decimal numeric entity for the letter X");
ok(EntityReplacer::toReplacement('&#x39;')  eq "9",        "Hex numeric entity for the letter X");
ok(EntityReplacer::toReplacement('&amp;')   eq "&amp;",    "An unmolested entity for <");
ok(EntityReplacer::toReplacement('&aelig;') eq "\x{00E6}", "Character entity for ae ligature");
ok(EntityReplacer::toReplacement('&lt;')    eq "&lt;",     "An unmolested entity for <");
ok(EntityReplacer::toReplacement('&euro;')  eq "&euro;",   "An unknown entity 'euro'");
ok(EntityReplacer::toReplacement('&x#39;')  eq "&x#39;",   "Badly formed numeric entity");
ok(EntityReplacer::toReplacement('&88;')    eq "&88;",     "Badly formed numeric entity");
ok(EntityReplacer::toReplacement('&#X3C;')  eq "&lt;",     "Hex numeric entity for <");
ok(EntityReplacer::toReplacement('&#X3E;')  eq "&gt;",     "Hex numeric entity for >");
ok(EntityReplacer::toReplacement('&#X26;')  eq "&amp;",    "Hex numeric entity for &");
ok(EntityReplacer::toReplacement('&#X27;')  eq "&apos;",   "Hex numeric entity for '");
ok(EntityReplacer::toReplacement('&#X22;')  eq "&quot;",   "Hex numeric entity for \"");
ok(EntityReplacer::toReplacement('&#60;')   eq "&lt;",     "Decimal numeric entity for <");
ok(EntityReplacer::toReplacement('&#62;')   eq "&gt;",     "Decimal numeric entity for >");
ok(EntityReplacer::toReplacement('&#38;')   eq "&amp;",    "Decimal numeric entity for &");
ok(EntityReplacer::toReplacement('&#39;')   eq "&apos;",   "Decimal numeric entity for '");
ok(EntityReplacer::toReplacement('&#34;')   eq "&quot;",   "Decimal numeric entity for \"");
